﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;
@using Portal.Models.Supplier;
@using Portal.Models.Part;
@using Portal.Models.Dock;
<table style="margin-left: 20px;" border="0">
    <tr>
        <td nowrap="nowrap">
            Supplier Code<b style="color: Red;">*</b>
        </td>
        <td colspan="3">
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OSPSupplierGeneral";
                    gridLookup.Width = 150; 
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(367);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD;SUPP_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialSupplierLookupGridGeneral" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br /> Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(400);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
        <td nowrap="nowrap" >
            Capital Currency <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "PartCurrencyGridLookup";
                    gridLookup.Width = Unit.Pixel(50);
                    gridLookup.ShowDescription = true;
                    gridLookup.DescriptionWidth = Unit.Pixel(140);
                    gridLookup.GridProperties.KeyFieldName = "CURRENCY_CD;CURRENCY_NAME";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialHeaderCurrencyGridLookupSuppInfo" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "CURRENCY_CD";
                        column.FieldName = "CURRENCY_CD";
                        column.Caption = "Currency<br />Code";
                        column.Width = Unit.Pixel(50);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "CURRENCY_NAME";
                        column.FieldName = "CURRENCY_NAME";
                        column.Caption = "Currency<br />Name";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["CurrencyGridLookup"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Company Status";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtCompanyStatus";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 20;
                }
            ).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Website";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtWebsite";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 50;
                }
            ).GetHtml()
        </td>
        <td nowrap="nowrap">
            Capital Amount <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().SpinEdit(
                settings =>
                {
                    settings.Name = "txtCapitalAmount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MinValue = 0;
                    settings.Properties.MaxValue = 10000000000000;
                    settings.Number = 0;
                    settings.Properties.MaxLength = 17;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Year Establish";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>
        <td>
            <input id="txtyearEstablish" type="text" style="width: 200px; border:1px solid #6a8ccb; padding:3px"
                   maxlength="4" onkeydown="NonDecimalKey(event)" value="" />
        </td>
        <td nowrap="nowrap">
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Year Operation";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()

            <b style="color: Red;">*</b>
        </td>
        <td>
            <input id="txtYearOperation" type="text" style="width: 200px; border: 1px solid #6a8ccb; padding: 3px"
                   maxlength="4" onkeydown="NonDecimalKey(event)" value="" />
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "TMMIN PIC";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtTmminPic";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 20;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="vertical-align:top">
        <td nowrap="nowrap" style="padding-top:5px">
            Model Involve Code <b style="color: Red;">*</b>
        </td>
        <td colspan="3">
            <table>
                <tr style="vertical-align:top">
                    <td>
                        @Html.Common().DevExpress().GridLookup(
                        gridLookup =>
                        {
                            gridLookup.Name = "PartInvolveGridLookup";
                            gridLookup.Width = Unit.Pixel(250);
                            gridLookup.GridProperties.Width = Unit.Pixel(250);
                            gridLookup.GridProperties.KeyFieldName = "MODEL_CD";
                            gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierProfile", Action = "PartialDetailInvolveGridLookupSuppInfo" };
                            gridLookup.ReadOnly = true;
                            //gridLookup.GridProperties.ClientSideEvents.RowClick = "InvolvedOther";
                            //gridLookup.GridProperties.ClientSideEvents.SelectionChanged = "InvolvedOther";
                            gridLookup.GridProperties.Columns.Add(column =>
                            {
                                column.Name = "MODEL_CD";
                                column.FieldName = "MODEL_CD";
                                column.Caption = "Model<br />Code";
                                column.Width = Unit.Pixel(100);
                                column.Visible = false;
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });
                            gridLookup.GridProperties.Columns.Add(column =>
                            {
                                column.Name = "MODEL_NAME";
                                column.FieldName = "MODEL_NAME";
                                column.Caption = "Model<br />Name";
                                column.Width = Unit.Pixel(150);
                                column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                                column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });
                        }).Bind(ViewData["InvolveGridLookup"]).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().TextBox(
                        settings =>
                        {
                            settings.Name = "txtOtherModel";
                            settings.ControlStyle.Wrap = DefaultBoolean.False;
                            settings.Width = 260;
                            //settings.Properties.MaxLength = 10;
                        }).GetHtml()
                        Separate Input with semicolon (;)
                    </td>
                </tr>
            </table>
        </td>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Main Contact";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtMainContact";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 50;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                settings =>
                {
                    settings.Text = "Relation To TMMIN";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                }
            ).GetHtml()
            <b style="color: Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txt1stTier";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Text = "Relation 1st Tier";
                    //settings.Width = 200;
                }
            ).GetHtml()
            @*  </td>
    
          <td>*@
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txt2ndTier";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Text = "Relation 2nd / 3rd Tier";
                    //settings.Width = 200;
                }
            ).GetHtml()
            @*  </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txt3rdTier";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Text = "Relation 3rd Tier";
                    //settings.Width = 200;
                }
            ).GetHtml()*@
            @*</td>
         <td>*@
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "txtRelationConsu";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Text = "Consumable & Facility";
                    //settings.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td colspan="5"></td>
        <td colspan="2" style="float:right">
            <table border="0">
                <tr>
                    <td width="50%" align="right">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSave";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginAddNewGeneral";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNew";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNewGeneral";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table>
